<?xml version="1.0" encoding="UTF-8"?>
<!-- ================================================================================ -->
<!-- ==== Business Data Type XML Schema Module                                   ==== -->
<!-- ================================================================================ -->
<!--
Schema agency:     ebIX
Schema version:    2014.A
Schema date:       January 25, 2017

Copyright (C) ebIX (2010). All Rights Reserved.

This document is created by using the ebIX Transformation Tool version of November 2016.

This document and translations of it may be copied and furnished to others,
and derivative works that comment on or otherwise explain it or assist in
its implementation may be prepared, copied, published and distributed, in
whole or in part, without restriction of any kind, provided that the above
copyright notice and this paragraph are included on all such copies and
derivative works. However, this document itself may not be modified in any
way, such as by removing the copyright notice or references to ebIX, except
as needed for the purpose of developing ebIX specifications, in which case
the procedures for copyrights defined in the UN/CEFACT Intellectual Property
Rights document must be followed, or as required to translate it into
languages other than English.
The limited permissions granted above are perpetual and will not be revoked
by ebIX or its successors or assigns.
This document and the information contained herein is provided on an "AS IS"
basis and ebIX DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT
NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION HEREIN WILL NOT
INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
FOR A PARTICULAR PURPOSE.
-->
<xsd:schema
    xmlns:xsd="http://www.w3.org/2001/XMLSchema"
    xmlns:mdt="un:unece:260:data:EEM-ValidatedDataForBillingEnergy"
    xmlns:ccts="urn:un:unece:uncefact:documentation:common:3:standard:CoreComponentsTechnicalSpecification:3"
    xmlns:xbt="urn:un:unece:uncefact:data:common:1:draft"
    xmlns:bcl="un:unece:260:data:EEM"
    targetNamespace="un:unece:260:data:EEM-ValidatedDataForBillingEnergy"
    elementFormDefault="qualified"
    attributeFormDefault="unqualified"
    version="2014.A">
    <!-- ================================================================================ -->
    <!-- ==== Imports                                                                ==== -->
    <!-- ================================================================================ -->
    <!-- ================================================================================ -->
    <!-- ==== Import of Code Lists                                                   ==== -->
    <!-- ================================================================================ -->
    <xsd:import namespace="un:unece:260:data:EEM" schemaLocation="../../generic/260_000019_0p1pA.xsd"/>
    <xsd:import namespace="un:unece:260:data:EEM" schemaLocation="../../generic/260_000023_0p1pA.xsd"/>
    <xsd:import namespace="un:unece:260:data:EEM" schemaLocation="../../generic/260_000029_0p1pA.xsd"/>
    <xsd:import namespace="un:unece:260:data:EEM" schemaLocation="../../generic/260_000041_0p1pA.xsd"/>
    <xsd:import namespace="un:unece:260:data:EEM" schemaLocation="../../generic/260_000052_0p1pA.xsd"/>
    <xsd:import namespace="un:unece:260:data:EEM" schemaLocation="../../generic/260_000057_0p1pA.xsd"/>
    <xsd:import namespace="un:unece:260:data:EEM" schemaLocation="../../generic/260_000058_0p1pA.xsd"/>
    <xsd:import namespace="un:unece:260:data:EEM" schemaLocation="../../generic/260_000059_0p1pA.xsd"/>
    <xsd:import namespace="un:unece:260:data:EEM" schemaLocation="../../generic/260_000080_0p1pA.xsd"/>
    <xsd:import namespace="un:unece:260:data:EEM" schemaLocation="../../generic/9_000045_0p1pA.xsd"/>
    <xsd:import namespace="un:unece:260:data:EEM" schemaLocation="../../generic/260_BA0013_0p1pA.xsd"/>
    <xsd:import namespace="un:unece:260:data:EEM" schemaLocation="../../generic/260_BA0015_0p1pA.xsd"/> 
    <!-- ================================================================================ -->
    <!-- ==== Inclusions                                                             ==== -->
    <!-- ================================================================================ -->
    <!-- ================================================================================ -->
    <!-- ==== Inclusion of Code Lists                                                ==== -->
    <!-- ================================================================================ -->
    <!-- ================================================================================ -->
    <!-- ==== Business Data Type Definitions                                         ==== -->
    <!-- ================================================================================ -->
    <!-- ================================================================================ -->
    <!-- ==== BusinessReasonCodeType Type                                            ==== -->
    <!-- ================================================================================ -->
    <xsd:complexType name="BusinessReasonCodeType_000115">
        <xsd:simpleContent>
            <xsd:extension base="bcl:AssembledBusinessReasonCodeContentType">
                <xsd:attribute name="listAgencyIdentifier" use="required">
                    <xsd:simpleType>
                        <xsd:restriction base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
                            <xsd:enumeration value="260"/>
    
                        </xsd:restriction>
                    </xsd:simpleType>
                </xsd:attribute>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>
    <!-- ================================================================================ -->
    <!-- ==== BusinessRoleCodeType Type                                              ==== -->
    <!-- ================================================================================ -->
    <xsd:complexType name="BusinessRoleCodeType_000113">
        <xsd:simpleContent>
            <xsd:extension base="bcl:AssembledBusinessRoleCodeContentType">
                <xsd:attribute name="listAgencyIdentifier" use="required">
                    <xsd:simpleType>
                        <xsd:restriction base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
                            <xsd:enumeration value="260"/>
    
                        </xsd:restriction>
                    </xsd:simpleType>
                </xsd:attribute>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>
    <!-- ================================================================================ -->
    <!-- ==== DocumentNameCodeType Type                                              ==== -->
    <!-- ================================================================================ -->
    <xsd:complexType name="DocumentNameCodeType_000098">
        <xsd:simpleContent>
            <xsd:extension base="bcl:AssembledDocumentNameCodeContentType">
                <xsd:attribute name="listAgencyIdentifier" use="required">
                    <xsd:simpleType>
                        <xsd:restriction base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
                            <xsd:enumeration value="260"/>
    
                        </xsd:restriction>
                    </xsd:simpleType>
                </xsd:attribute>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>
    <!-- ================================================================================ -->
    <!-- ==== EnergyProductIdentifierType Type                                       ==== -->
    <!-- ================================================================================ -->
    <xsd:complexType name="EnergyProductIdentifierType_000120">
        <xsd:simpleContent>
            <xsd:extension base="bcl:AssembledEnergyProductIdentifierContentType">
                <xsd:attribute name="schemeAgencyIdentifier" use="required">
                    <xsd:simpleType>
                        <xsd:restriction base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
                            <xsd:enumeration value="9"/>
    
                        </xsd:restriction>
                    </xsd:simpleType>
                </xsd:attribute>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>
    <!-- ================================================================================ -->
    <!-- ==== MeasurementUnitCommonCodeType Type                                     ==== -->
    <!-- ================================================================================ -->
    <xsd:complexType name="MeasurementUnitCommonCodeType_000121">
        <xsd:simpleContent>
            <xsd:extension base="bcl:AssembledMeasurementUnitCommonCodeContentType">
                <xsd:attribute name="listAgencyIdentifier" use="required">
                    <xsd:simpleType>
                        <xsd:restriction base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
                            <xsd:enumeration value="260"/>
    
                        </xsd:restriction>
                    </xsd:simpleType>
                </xsd:attribute>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>
    <!-- ================================================================================ -->
    <!-- ==== MeteringPointTypeCodeType Type                                         ==== -->
    <!-- ================================================================================ -->
    <xsd:complexType name="MeteringPointTypeCodeType_000138">
        <xsd:simpleContent>
            <xsd:extension base="bcl:AssembledMeteringPointTypeCodeContentType">
                <xsd:attribute name="listAgencyIdentifier" use="required">
                    <xsd:simpleType>
                        <xsd:restriction base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
                            <xsd:enumeration value="260"/>
    
                        </xsd:restriction>
                    </xsd:simpleType>
                </xsd:attribute>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>
    <!-- ================================================================================ -->
    <!-- ==== MeterReadingOriginCodeType Type                                        ==== -->
    <!-- ================================================================================ -->
    <xsd:complexType name="MeterReadingOriginCodeType_000139">
        <xsd:simpleContent>
            <xsd:extension base="bcl:AssembledMeterReadingOriginCodeContentType">
                <xsd:attribute name="listAgencyIdentifier" use="required">
                    <xsd:simpleType>
                        <xsd:restriction base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
                            <xsd:enumeration value="260"/>
    
                        </xsd:restriction>
                    </xsd:simpleType>
                </xsd:attribute>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>
    <!-- ================================================================================ -->
    <!-- ==== MeterTimeFrameCodeType Type                                            ==== -->
    <!-- ================================================================================ -->
    <xsd:complexType name="MeterTimeFrameCodeType_000126">
        <xsd:simpleContent>
            <xsd:extension base="bcl:AssembledMeterTimeFrameCodeContentType">
                <xsd:attribute name="listAgencyIdentifier" use="required">
                    <xsd:simpleType>
                        <xsd:restriction base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
                            <xsd:enumeration value="260"/>
    
                        </xsd:restriction>
                    </xsd:simpleType>
                </xsd:attribute>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>
    <!-- ================================================================================ -->
    <!-- ==== SectorAreaIdentificationCodeType Type                                  ==== -->
    <!-- ================================================================================ -->
    <xsd:complexType name="SectorAreaIdentificationCodeType_000116">
        <xsd:simpleContent>
            <xsd:extension base="bcl:AssembledSectorAreaIdentificationCodeContentType">
                <xsd:attribute name="listAgencyIdentifier" use="optional">
                    <xsd:simpleType>
                        <xsd:restriction base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
                            <xsd:enumeration value="260"/>
    
                        </xsd:restriction>
                    </xsd:simpleType>
                </xsd:attribute>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>
    <!-- ================================================================================ -->
    <!-- ==== DomainIdentifierType Type                                              ==== -->
    <!--   Umjesto base="xsd:string" zamjenjeno base="mdt:MeteringPointUsedPattern"  ==== -->
    <!-- ================================================================================ -->
    <xsd:complexType name="DomainIdentifierType_000122">
        <xsd:simpleContent>
            <xsd:extension base="mdt:MeteringPointUsedPattern">
                <xsd:attribute name="schemeAgencyIdentifier" use="required">
                    <xsd:simpleType>
                        <xsd:restriction base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
                            <xsd:enumeration value="9"/>
                            <xsd:enumeration value="305"/>
    
                        </xsd:restriction>
                    </xsd:simpleType>
                </xsd:attribute>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>
    <!-- ================================================================================ -->
    <!-- ==== PartyIdentifierType Type                                               ==== -->
    <!-- ================================================================================ -->
    <xsd:complexType name="PartyIdentifierType_000112">
        <xsd:simpleContent>
            <xsd:extension base="xsd:string">
                <xsd:attribute name="schemeAgencyIdentifier" use="required">
                    <xsd:simpleType>
                        <xsd:restriction base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
                            <xsd:enumeration value="9"/>
                            <xsd:enumeration value="305"/>
    
                        </xsd:restriction>
                    </xsd:simpleType>
                </xsd:attribute>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>
    <!-- ================================================================================ -->
    <!-- ==== IntegerQuantityType Type                                               ==== -->
    <!-- ================================================================================ -->
    <xsd:simpleType name="IntegerQuantityType_000119">
        <xsd:restriction base="xsd:integer"/>
    </xsd:simpleType>
    <!-- ================================================================================ -->
    <!-- ==== DateTimeType Type                                                      ==== -->
    <!-- ================================================================================ -->
    <xsd:simpleType name="DateTimeType_000111">
        <xsd:restriction base="xsd:dateTime">
            <xsd:pattern value="pattern not yet to be used: [0-9]{4}-[0-1][0-9]-[0-3][0-9]T[0-2][0-9]:[0-5][0-9]:[0-5][0-9].[0-9]*"/>
        </xsd:restriction>
    </xsd:simpleType>
    <!-- ================================================================================ -->
    <!-- ==== OrdinalType Type                                                       ==== -->
    <!-- ================================================================================ -->
    <xsd:simpleType name="OrdinalType_000123">
        <xsd:restriction base="xsd:integer"/>
    </xsd:simpleType>
    <!-- ================================================================================ -->
    <!-- ==== DurationType Type                                                      ==== -->
    <!-- ================================================================================ -->
    <xsd:simpleType name="DurationType_000151">
        <xsd:restriction base="xsd:duration"/>
    </xsd:simpleType>
    <!-- ================================================================================ -->
    <!-- ==== TransactionIdentifierType Type                                         ==== -->
    <!-- ================================================================================ -->
    <xsd:simpleType name="TransactionIdentifierType_000361">
        <xsd:restriction base="xsd:string"/>
    </xsd:simpleType>
    <!-- ================================================================================ -->
    <!-- ==== EEMIdentifierType Type  -Dodana restrikcija za tip registra            ==== -->
    <!-- ================================================================================ -->
    <xsd:simpleType name="EEMIdentifierType_000110">
        <xsd:restriction base="xsd:string">
                        <xsd:enumeration value="1.8.0"/>
                        <xsd:enumeration value="1.8.1"/>
                        <xsd:enumeration value="1.8.2"/>
						<xsd:enumeration value="2.8.0"/>
                        <xsd:enumeration value="2.8.1"/>
                        <xsd:enumeration value="2.8.2"/>
  						<xsd:enumeration value="15.8.0"/>
                        <xsd:enumeration value="15.8.1"/>
                        <xsd:enumeration value="15.8.2"/>                      
						<xsd:enumeration value="3.8.0"/>
                        <xsd:enumeration value="3.8.1"/>
                        <xsd:enumeration value="3.8.2"/>
                        <xsd:enumeration value="4.8.0"/>
                        <xsd:enumeration value="4.8.1"/>
                        <xsd:enumeration value="4.8.2"/>
                        <xsd:enumeration value="1.6.0"/>
                        <xsd:enumeration value="1.6.1"/>
                        <xsd:enumeration value="1.6.2"/>
                        <xsd:enumeration value="2.6.0"/>
                        <xsd:enumeration value="2.6.1"/>
                        <xsd:enumeration value="2.6.2"/>
                    </xsd:restriction>
    </xsd:simpleType>
    <!-- ================================================================================ -->
    <!-- ==== ReadQuantityType Type                                                  ==== -->
    <!-- ================================================================================ -->
    <xsd:simpleType name="ReadQuantityType_000...tbd">
        <xsd:restriction base="xsd:decimal"/>
    </xsd:simpleType>
    <!-- ================================================================================ -->
    <!-- Novi pattern za sifru mjernog mjesta                                        ==== -->
    <!-- ================================================================================ -->
    <xsd:simpleType name="MeteringPointUsedPattern">
            		<xsd:restriction base="xsd:string">
            			<xsd:pattern value="[3][6][Z][A-Z0-9-]{12}[A-Z0-9]{1}"/>
            			<xsd:maxLength value="16"/>
            	    </xsd:restriction>
    </xsd:simpleType>
        <!-- ================================================================================ -->
    <!-- ==== TariffGroupCodeType Type                                     ==== -->
    <!-- ================================================================================ -->
    <xsd:complexType name="TariffGroupType_000123">
        <xsd:simpleContent>
            <xsd:extension base="bcl:AssembledTariffGroupCodeContentType">
                <xsd:attribute name="listAgencyIdentifier" use="required">
                    <xsd:simpleType>
                        <xsd:restriction base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
                            <xsd:enumeration value="260"/>   
                        </xsd:restriction>
                    </xsd:simpleType>
                </xsd:attribute>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>    
    <!-- ================================================================================ -->
    <!-- ==== TextType Type                                                          ==== -->
    <!-- ================================================================================ -->
    <xsd:simpleType name="TextType_000114">
        <xsd:restriction base="xsd:string">
            <xsd:maxLength value="256"/>
        </xsd:restriction>   
    </xsd:simpleType>
    <!-- ================================================================================ -->
    <!-- ==== AccountingElementCodeType Type                                     ==== -->
    <!-- ================================================================================ -->
    <xsd:complexType name="AccountingElementType_000123">
        <xsd:simpleContent>
            <xsd:extension base="bcl:AccountingElementCodeCategoryType">
                <xsd:attribute name="listAgencyIdentifier" use="required">
                    <xsd:simpleType>
                        <xsd:restriction base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
                            <xsd:enumeration value="260"/>   
                        </xsd:restriction>
                    </xsd:simpleType>
                </xsd:attribute>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>    
</xsd:schema>  
